---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/delete-checklist-item.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Deleting a checklist item

Use this request to delete a checklist item from an issue.

<div class="request_example method_delete yfm-clipboard">
    <p>DELETE</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/&lt;issue_ID>/checklistItems/&lt;checklist_item_ID></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

To delete a checklist item from an issue, use an HTTP `DELETE` request:

```
DELETE /v3/issues/<issue_ID>/checklistItems/<checklist_item_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
--- | --- | ---
| \<issue_ID\> | Issue ID or key. | String |
| \<checklist_item_ID\> | hecklist item ID. To get the ID, run a [request](get-checklist.md#answer). | String |

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains a JSON object with the parameters of the checklist items and the issue the checklist item was deleted from.

  ```json
  {
      "self": "https://api.tracker.yandex.net/v3/issues/ORG-3",
      "id": "5f981c00b982f075********",
      "key": "ORG-3",
      "version": 151,
      "lastCommentUpdatedAt": "2020-12-13T13:18:22.965+0000",
      "pendingReplyFrom": [
          {
              "self": "https://api.tracker.yandex.net/v3/users/12********",
              "id": "12********",
              "display": "Full name"
          }
      ],
      "summary": "Issue name",
      "statusStartTime": "2020-11-03T11:19:24.733+0000",
      "updatedBy": {
          "self": "https://api.tracker.yandex.net/v3/users/19********",
          "id": "19********",
          "display": "Full name"
      },
      "checklistDone": "0",
      "project": {
        "self": "https://api.tracker.yandex.net/v3/projects/7",
        "id": "7",
        "display": "Project name"
      },
      "description": "Issue description",
      "boards": [
              {
                "id": 14
              }
          ],
      "type": {
          "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
          "id": "2",
          "key": "task",
          "display": "Issue"
      },
      "priority": {
          "self": "https://api.tracker.yandex.net/v3/priorities/3",
          "id": "3",
          "key": "normal",
          "display": "Normal"
      },
      "previousStatusLastAssignee": {
          "self": "https://api.tracker.yandex.net/v3/users/12********",
          "id": "12********",
          "display": "Full name"
      },
      "createdAt": "2020-10-27T13:09:20.085+0000",
      "followers": [
          {
              "self": "https://api.tracker.yandex.net/v3/users/19********",
              "id": "19********",
              "display": "Full name"
          }
      ],
      "createdBy": {
          "self": "https://api.tracker.yandex.net/v3/users/12********",
          "id": "12********",
          "display": "Full name"
      },
      "checklistItems": [
           {
                 "id": "5fde5f0a1aee261d********",
                 "text": "checklist item",
                 "textHtml": "item text in HTML format",
                 "checked": false,
                 "assignee": {
                    "id": 11********,
                    "display": "Full name",
                    "passportUid": 11********,
                    "login": "user_login",
                    "firstName": "First name",
                    "lastName": "Last name",
                    "email": "user_login@example.com",
                    "trackerUid": 11********
                    },
                 "deadline": {
                    "date": "2021-05-09T00:00:00.000+0000",
                    "deadlineType": "date",
                    "isExceeded": false
                    },
                 "checklistItemType": "standard"
           },
         ...
        ],
     "checklistTotal": 4,
     "votes": 0,
     "assignee": {
          "self": "https://api.tracker.yandex.net/v3/users/12********",
          "id": "12********",
          "display": "Full Name"
      },
     "deadline": "2020-10-28",
     "queue": {
          "self": "https://api.tracker.yandex.net/v3/queues/ORG",
          "id": "1",
          "key": "ORG",
          "display": "Startrek"
      },
     "updatedAt": "2021-02-16T08:28:41.095+0000",
     "status": {
          "self": "https://api.tracker.yandex.net/v3/statuses/2",
          "id": "2",
          "key": "needInfo",
          "display": "Need info"
      },
      "previousStatus": {
          "self": "https://api.tracker.yandex.net/v3/statuses/3",
          "id": "3",
          "key": "inProgress",
          "display": "In progress"
      },
      "favorite": false
  }
  ```

  {% cut "Response parameters" %}

  <!-- source: en/_includes/api/issue-response-fields-note.md -->
  {% note info "" %}

  The table lists the main response fields. For a full list of fields and their descriptions, see [Response parameters](https://yandex.com.tr/support/tracker/en/api-ref/issues/response-fields.md).

  The response may also include global user fields and local queue fields.

  {% endnote %}
  <!-- endsource: en/_includes/api/issue-response-fields-note.md -->

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the issue. | String |
  | id | Issue ID. | Number |
  | key | Issue key. | String |
  | version | Issue version. Each change of the parameters increases the version number. <br>Issue edits will be disabled if the version number reaches the threshold value of `10100` (for robots) or `11100` (for users). | Number |
  | lastCommentUpdatedAt | Last comment's update time. | String |
  | [pendingReplyFrom](#pending-reply-from) | Object with information about the employee whose response is awaited. | Map item |
  | summary | Issue name. | String |
  | statusStartTime | Issue creation time. | String |
  | [updatedBy](#updated-by) | Object with information about the employee who edited the issue last. | Map item |
  | checklistDone | Number of checklist items that are marked as done. | Number |
  | [project](#project) | Object with information about the [project](../../manager/project-new.md) the issue belongs to. | Map item |
  | description | Issue description. | String |
  | [boards](#boards) | Array of objects with information about the issue [boards](../../manager/agile.md). | Map item |
  | [type](#type) | Object with information about the issue type. | Map item |
  | [priority](#priority) | Object with information about the priority. | Map item |
  | [previousStatusLastAssignee](#previous-status-last-assignee) | Object with information about the assignee of the issue in the previous status. | Map item |
  | createdAt | Issue creation date and time. | String |
  | [followers](#followers) | Array of objects with information about issue followers. | Map item |
  | [createdBy](#created-by) | Object with information about the user who created the issue. | Map item |
  | [checklistItems](#checklist-items) | Array of objects with information about checklist items. | Map item |
  | checklistTotal | Number of checklist items. | Number |
  | votes | Number of votes for the issue. | Number |
  | [assignee](#assignee) | Object with information about the issue's assignee. | Map item |
  | deadline | Deadline for completing the issue. | String |
  | [queue](#queue) | Object with information about the issue queue. | Map item |
  | updatedAt | Date and time when the issue was last updated. | String |
  | [status](#status) | Object with information about the issue status. | Map item |
  | [previousStatus](#previous-status) | Object with information about the previous status of the issue. | Map item |
  | favorite | Favorite issue flag:<ul><li>`true`: Issue added to favorites by the user.</li><li>`false`: Issue not added to favorites.</li></ul> | Number |

  `updatedBy` **object fields** {#updated-by}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `project` **object fields** {#project}

  <!-- source: en/_includes/api/project.md -->
  # Project Request {#request}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | primary | ID of the main issue project (the `shortId` project field) | Number |
  | secondary | IDs of additional issue projects (the `shortId` project field) | Array of numbers |

  {% note info "" %}

  If the request address specifies API `v2`, the `project` parameter can contain only the ID of the main project.

  For example: `"project": 1234`

  {% endnote %}

  # Project Response {#response}

  | Parameter | Description | Data type |
  -------- | -------- | ----------
  | [primary](#project-id) | Main issue project | Object |
  | [secondary](#project-id) | List of additional issue projects | Array of objects |

  {% note info "" %}

  If the request address specifies API `v2`, the `project` object contains information only about the main project.

  {% endnote %}

  # Project ID {#project-id}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the project | String |
  | id | Project ID | String |
  | display | Project name displayed | String |
  <!-- endsource: en/_includes/api/project.md -->

  `boards` **object fields** {#boards}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | id | Board ID | Number |

  `pendingReplyFrom` **object fields** {#pending-reply-from}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  <!-- source: en/_includes/api/type.md -->
  `type` **object fields** {#type}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the issue type. | String |
  | id | Issue type ID | String |
  | key | Issue type key. | String |
  | display | Issue type name displayed. | String |
  <!-- endsource: en/_includes/api/type.md -->

  <!-- source: en/_includes/api/priority.md -->
  `priority` **object fields** {#priority}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the priority. | String |
  | id | Priority ID | String |
  | key | Priority key. | String |
  | display | Priority name displayed. | String |
  <!-- endsource: en/_includes/api/priority.md -->

  `previousStatusLastAssignee` **object fields** {#previous-status-last-assignee}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `followers` **object fields** {#followers}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `createdBy` **object fields** {#created-by}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `checklistItems` **object fields** {#checklist-items}

  <!-- source: en/_includes/api/checklist-items.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | id | Сhecklist item ID. | String |
  | text | Text of the checklist item. | String |
  | textHtml | Text of the checklist item in HTML format. | String |
  | checked | Checklist item completion flag:<ul><li>`true`: Item marked as completed.</li><li>`false`: Item not marked as completed.</li></ul> | Boolean |
  | assignee | Assignee of the checklist item. | Map object |
  | [deadline](#deadline-checklist) | Deadline for the checklist item. | Map object |
  | checklistItemType | Type of the checklist item. | String |
  <!-- endsource: en/_includes/api/checklist-items.md -->

  `assignee` **object fields** **(checklist item)** {#assignee-checklist}

  <!-- source: en/_includes/api/checklist-items.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | id | User ID. | Number |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user's Yandex account. | Number |
  | login | User's login. | String |
  | firstName | Username | String |
  | lastName | User's last name. | String |
  | email | User's email address. | String |
  | trackerUid | Unique ID of the user account in Yandex Tracker. | Number |
  <!-- endsource: en/_includes/api/checklist-items.md -->

  `deadline` **object fields** **(checklist item)** {#deadline-checklist}

  <!-- source: en/_includes/api/checklist-items.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | date | Deadline in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | Date |
  | deadlineType | Deadline type:<ul><li>`date`</li><li>`quarter`</li></ul> | String |
  | isExceeded | Flag indicating if the deadline has passed: <ul><li>`true`: Passed.</li><li>`false`: Not passed.</li></ul> | Boolean |
  <!-- endsource: en/_includes/api/checklist-items.md -->

  `assignee` **object fields** {#assignee}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `queue` **object fields** {#queue}

  <!-- source: en/_includes/api/queue.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the queue. | String |
  | id | Queue ID. | String |
  | key | Queue key. | String |
  | display | Queue name displayed. | String |
  <!-- endsource: en/_includes/api/queue.md -->

  `status` **object fields** {#status}

  <!-- source: en/_includes/api/status.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the status. | String |
  | id | Status ID. | String |
  | key | Status key. | String |
  | display | Status name displayed. | String |
  <!-- endsource: en/_includes/api/status.md -->

  `previousStatus` **object fields** {#previous-status}

  <!-- source: en/_includes/api/status.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the status. | String |
  | id | Status ID. | String |
  | key | Status key. | String |
  | display | Status name displayed. | String |
  <!-- endsource: en/_includes/api/status.md -->

  {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/_includes/api/answer-error-401.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

    <!-- source: en/_includes/api/answer-error-423.md -->
    423
    :   Object edits disabled. The `version` parameter value limit (the maximum number of object updates) might have been exceeded. The maximum version value is `10100` for robots and `11100` for users.
    <!-- endsource: en/_includes/api/answer-error-423.md -->

{% endlist %}
```